## org.biojava.directory
Class RegistryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.biojava.utils.NestedException
                  org.biojava.directory.RegistryException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ProviderNotFoundException

public class RegistryException
extends NestedException

A `RegistryException` thrown when the registry cannot find an implementation of a requested `SequenceDB`.

Version:
  $Revision: 1.6 $
Author:
  Brian Gilman, Thomas Down, Keith James
See Also:
  Serialized Form

Constructor Summary
`RegistryException()` Creates a new `RegistryException` with no detail message.
`RegistryException(java.lang.String message)` Creates a new `RegistryException` with the specified detail message.
`RegistryException(java.lang.Throwable t)` Creates a new `RegistryException` with no detail message, wrapping another `Throwable`.
`RegistryException(java.lang.Throwable t, java.lang.String message)` Creates a new `RegistryException` with the specified detail message, wrapping another `Throwable`.

Methods inherited from class org.biojava.utils.NestedException
`printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RegistryException

    public RegistryException()

  Creates a new `RegistryException` with no detail message.

### RegistryException

    public RegistryException(java.lang.String message)

  Creates a new `RegistryException` with the specified detail message.

Parameters:
  `message` - a `String`.

### RegistryException

    public RegistryException(java.lang.Throwable t)

  Creates a new `RegistryException` with no detail message, wrapping another `Throwable`.

Parameters:
  `t` - a `Throwable`.

### RegistryException

    public RegistryException(java.lang.Throwable t,
                             java.lang.String message)

  Creates a new `RegistryException` with the specified detail message, wrapping another `Throwable`.

Parameters:
  `t` - a `Throwable`.
  `message` - a `String`.